utils.setVirtualMouseEvents = function() {
    domElements.$canvas.bind("vmousedown", utils.onVirtualMouseDown);
    domElements.$canvas.bind("vmousemove", utils.onVirtualMouseMove);
//    domElements.$canvas.bind("vmouseup", utils.onVirtualMouseUp);
}

utils.onVirtualMouseDown = function(e) {
//    e.preventDefault();
    var canvasPoint = utils.getCanvasPoint(e.pageX, e.pageY);
    objects.game.setPointView(canvasPoint);
    objects.game.setShot(canvasPoint);
}

utils.onVirtualMouseMove = function(e) {
    e.preventDefault();
    var canvasPoint = utils.getCanvasPoint(e.pageX, e.pageY);
    objects.game.setPointView(canvasPoint);
}

//utils.onVirtualMouseUp = function(e) {
//    e.preventDefault();
//}

utils.getCanvasPoint = function(pageX, pageY) {
    var canvasOffsetLeft = domElements.$canvas.offset().left;
    var canvasOffsetTop = domElements.$canvas.offset().top;
    return new paper.Point(Math.round((pageX - canvasOffsetLeft) / paper.view.zoom), Math.round((pageY - canvasOffsetTop) / paper.view.zoom));
}