function Server() {
    this.nameParameter = "name";
    this.pointsParameter = "points";
    this.demoRecords = undefined;

    this.setDemoRecords()
}

Server.prototype.setDemoRecords = function() {
    this.demoRecords = new Array();
    this.demoRecords.push(this.getRecordObject("user1", 100));
    this.demoRecords.push(this.getRecordObject("user2", 90));
    this.demoRecords.push(this.getRecordObject("user3", 80));
    this.demoRecords.push(this.getRecordObject("user4", 70));
    this.demoRecords.push(this.getRecordObject("user5", 60));
    this.demoRecords.push(this.getRecordObject("user6", 50));
    this.demoRecords.push(this.getRecordObject("user7", 40));
    this.demoRecords.push(this.getRecordObject("user8", 30));
    this.demoRecords.push(this.getRecordObject("user9", 20));
    this.demoRecords.push(this.getRecordObject("user10", 10));
};

Server.prototype.getRecordObject = function(name, points) {
    var recordObject = new Object();
    recordObject[this.nameParameter] = name;
    recordObject[this.pointsParameter] = points;
    return recordObject;
};

Server.prototype.getRecords = function() {
    return JSON.stringify(this.demoRecords);
};

Server.prototype.saveRecords = function(records) {
    console.log(records);
};