function Weapon() {
    this.cross = this.weapon = this.shot = undefined;
    this.weaponYDifference = this.shotTimer = undefined;
    this.newPoint = undefined;

    this.setView();
}

Weapon.prototype.setView = function() {
    this.weapon = new paper.Raster(variables.weaponImage);
    this.weaponYDifference = constants.GAME_HEIGHT / (variables.weaponImage.height - 20);
    this.weapon.position = new paper.Point(constants.GAME_WIDTH / 2, constants.GAME_HEIGHT);
//    this.shot = new paper.Raster(settings.SHOT_IMAGE_PATH);
//    this.shot.visible = false;
    this.cross = new paper.Raster(settings.CROSS_IMAGE_PATH);
}

Weapon.prototype.setPointView = function(clickPoint) {
    this.cross.position = clickPoint;
//    if(this.shot.visible) return;
    this.weapon.position.x = clickPoint.x + variables.weaponImage.width  / 2;
    this.weapon.position.y = constants.GAME_HEIGHT - variables.weaponImage.height / 2 + clickPoint.y / this.weaponYDifference;
}

Weapon.prototype.shoot = function() {
//    this.shot.visible = true;
//    this.shot.position = this.weapon.position;
    this.shotTimer = 0;
}

Weapon.prototype.onFrame = function() {
    if(typeof (this.shotTimer) == "undefined") return;
    this.shotTimer += constants.MILISECONDS_FOR_FRAME;
    if(this.shotTimer % 160 == 0) this.shot.visible = false;
    if(this.shotTimer >= settings.MILISECONDS_FOR_SHOT) this.shotTimer = undefined;
}

Weapon.prototype.moveObjectBelow = function(object) {
    object.moveBelow(this.weapon);
}